Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryFloatExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryFloatExpressionHelper

-     public class BinaryFloatExpressionHelper
      extends BinaryExpressionWriter

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionWriter` | `stdCompareCodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryFloatExpressionHelper(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected int` | `getBitwiseOperationBytecode(int type)`
    `` | `protected int` | `getCompareCode()`
    `` | `protected ClassNode` | `getDevisionOpResultType()`
    `` | `protected ClassNode` | `getNormalOpResultType()`
    `` | `protected int` | `getShiftOperationBytecode(int type)`
    `` | `protected int` | `getStandardOperationBytecode(int type)`
    `` | `protected void` | `removeTwoOperands(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected boolean` | `writeBitwiseOp(int type, boolean simulate)`
    `` | `protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected boolean` | `writeShiftOp(int type, boolean simulate)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryExpressionWriter` | `arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getController, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, setArraySetAndGet, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators`

- - ### Constructor Detail

    - #### public BinaryFloatExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### @Override protected void doubleTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### @Override protected int getBitwiseOperationBytecode(int type)

    - #### @Override protected int getCompareCode()

    - #### @Override protected ClassNode getDevisionOpResultType()

    - #### @Override protected ClassNode getNormalOpResultType()

    - #### @Override protected int getShiftOperationBytecode(int type)

    - #### @Override protected int getStandardOperationBytecode(int type)

    - #### @Override protected void removeTwoOperands(org.objectweb.asm.MethodVisitor mv)

    - #### @Override protected boolean writeBitwiseOp(int type, boolean simulate)

    - #### @Override protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

    - #### @Override protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

    - #### @Override protected boolean writeShiftOp(int type, boolean simulate)